"use strict";

const HtmlMinifier = require("html-minifier").minify;

const zc_minify_xml = (code, settings) => {
  return new Promise((resolve, reject) => {
    if (!settings.types.json.minify) {
      resolve(code);
      return;
    }

    // Promise will auto reject if this fails
    code = HtmlMinifier(code, {
      caseSensitive: true,
      collapseInlineTagWhitespace: true,
      collapseWhitespace: true,
      decodeEntities: true,
      includeAutoGeneratedTags: false,
      keepClosingSlash: true,
      trimCustomFragments: true,
    });

    resolve(code
      .replace(/&zcsp;/g, " ")
      .replace(/&zclf;/g, "\n")
      .replace(/&zctab;/g, "\t"));
  });
};

module.exports = zc_minify_xml;
